<?php
namespace CrivionAtEnvato;

/**
* IP Detection Class
*/
class IP
{
	/*
	 * Get User Public IP Address
	 */
	public static function get() {
				
	  if (!empty($_SERVER['HTTP_CLIENT_IP']))
	  //check ip from share internet
	  {
	    $ip=$_SERVER['HTTP_CLIENT_IP'];
	  }
	  elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
	  //to check ip is pass from proxy
	  {
	    $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
	  }
	  else
	  {
	    $ip=$_SERVER['REMOTE_ADDR'];
	  }
	  // if ip contains commas, take first
	  if( strpos($ip, ',') !== FALSE ) {
	  	 $ip = explode(',', $ip);
	  	 return trim($ip[0]);
	  }

	  // if ip contains semicolon, take first
	  if( strpos($ip, ':') !== FALSE ) {
	  	 $ip = explode(':', $ip);
	  	 return trim($ip[0]);
	  }

	  return $ip;
	} 

}