
<div class="wrap">
<div class="wpml-section">
<h2><?php echo self::flag_icon() ?> تغییر مسیر WPML بر اساس کشور IP </h2>
</div><!-- ./wpml - section ( عنوان داشبورد ) -->

<div class="wpml-section">

<div class="wpml-section-header">
<h3>نقشه برداری کشور</h3>
به بازدیدکنندگان از این کشورها یک پنجره بازشو با پیشنهاد مشاهده محتوا به زبان محلی خود نشان داده می شود.
</div>

	<div class="wpml-section-content">

	<br /><hr />

	<?php 
	if( $current_mappings ) {

		echo 'To update a mapping simply recreate the mapping.<br /><br />
		<table width=400>';

		foreach( $current_mappings as $flag_code => $country_code ) {

			// set flag & language name
			$lang_flag    = $wpml_langs[ $country_code ]['country_flag_url'];
			$lang_flag 	  = self::$plugin_dir_url . '/static/svg-flags/' . strtolower( $flag_code ) .'.svg' ;
			$country_flag = str_replace('/svg-flags/'.strtolower($country_code).'.png', '/flags/'.strtolower($flag_code).'.svg', $lang_flag);
			$lang_name    = $wpml_langs[ $country_code ][ 'translated_name' ];
			$delete_icon  = self::$plugin_dir_url . '/static/delete.svg';

			echo '<tr>
				  <td><a href="'.admin_url('admin.php?page=' . $this->plugin_permalink . '&delete=' . $flag_code ).'" onclick="return confirm(\'Are you sure you want to remove this mapping?\');"><img width="12" height="12" src="'.$delete_icon.'"></a></td>
				  <td><img src="'.$country_flag.'" width="16" height="16"> '.$countryList[$flag_code] . '</td>
				  <td><img src="'.$lang_flag.'" width="16" height="16"> ' . $lang_name . '</td>
				  </tr>';
		}

		echo '</table>';

	}else{
		echo self::message('هیچ نگاشتی ایجاد نشد. <br />لطفاً با استفاده از فرم زیر یک نقشه کشوری <-> زبان ایجاد کنید.');
	}
	?>

	</div>

</div><!-- ./wpml-section ( mappings list ) -->